package cn.rankin.cmsweb.controller.stmt;

import cn.rankin.cmsweb.assist.resolver.NeedUser;
import cn.rankin.cmsweb.entity.UserDetails;
import cn.rankin.cmsweb.service.stmt.StmtService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.common.utils.util.BeanUtil;
import cn.rankin.common.utils.util.ProvinceUtil;
import cn.rankin.data.api.user.dto.CampusDTO;
import cn.rankin.data.api.user.dto.CampusSearchDTO;
import cn.rankin.data.api.user.vo.CampusVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping(value = "/stmt")
public class StmtController
{
    @Autowired
    private StmtService StmtService;

    @RequestMapping(value = {"/campus/list", "/"}, method = RequestMethod.GET)
    public APIResult<Page<CampusVo>> search(@NeedUser UserDetails user, CampusSearchDTO campusSearchDTO)
    {
        if (!user.isPlatForm())
        {
            String merchantId = user.getMerchantId();
            campusSearchDTO.setMerchantId(merchantId);
        }
        APIResult<Page<CampusVo>> pageData = StmtService.search(BeanUtil.convertToMap(campusSearchDTO));

        //设置省份
        if (pageData != null)
        {
            List<CampusVo> list = pageData.getData().getList();
            if (list != null && list.size() > 0)
            {
                for(int i = 0; i<list.size();i++)
                {
                    CampusVo vo =  list.get(i);
                    String provinceCode =  vo.getProvinceCode();
                    String provinceName = ProvinceUtil.get(provinceCode);
                    vo.setProvinceName(provinceName);
                }
            }
        }

        return StmtService.search(BeanUtil.convertToMap(campusSearchDTO));
    }

}
